import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'app-password',
  templateUrl: './password.component.html'
})
export class PasswordComponent implements OnInit {
  @Input() password: string;
  @Output() passwordChange = new EventEmitter();
  @Input() label: string;
  @Input() id: string;
  @Input() help: string;
  private show: boolean = false;

  constructor() { }

  private toggleShow() {
    this.show = !this.show;
  }

  ngOnInit() {
  }
}
